<?php
/*********************************************
Description: Processa página inicial
File: /includes/pg.profissionais-pacotes.php
Project: Basikus
Developers: João Vieira
Start Date: 2009/12/21
*********************************************/

if(!$smartyPg->is_cached($strPagina . ".html", $strPagina)){

    //meta tags

    if ( strpos($_SERVER['REQUEST_URI'], '-en.html') !== false ) {
	$_SESSION['lingua'] 	= "en";
	$siteLng		= "en";
    }else {
	$_SESSION['lingua'] 	= "pt";
	$siteLng		= "pt";
    }

    $paginaTitle		= "Sport Golf";
    $paginaKeywords		= "sport, golf";
    $paginaDescription		= "Sport golf.";

    $intPais			= "116";
    $strPais			= "Portugal";
    $smartyPg->assign('infoCategoriasPais', $strPais);
    $smartyPg->assign('infoCategoriasId', $intPais);
    
    if (isset($_REQUEST['bxPais'])) $intPais = (int)$_REQUEST['bxPais'];
    elseif ( uri_in('bxPais') ) {
	$respTmp = explode("bxPais=", $_SERVER['REQUEST_URI']);
	$intPais = (int)$respTmp[1];
    }

    //paises categorias de 2
    $smartyPg->assign('listaCategoriasIn', array());
    $intCategoria	= '2';
    $respostaDb->GetCategoriasCategoria($intCategoria, "250", "ORDER BY categorias.nome ASC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $strImagem					= '';
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['nome']		= trd($rowResultDb['cnome'], $siteLng);
	    if ( $intPais == $rowResultDb['cid'] ) {
		$smartyPg->assign('infoCategoriasPais', $listaConteudos[$indice]['nome']);
		$smartyPg->assign('infoCategoriasId', $listaConteudos[$indice]['id']);
		$strPais	=  $listaConteudos[$indice]['nome'];
	    }
	    $indice++;
	}
	$smartyPg->assign('listaCategoriasIn', $listaConteudos);
    }


    //evento realizar proximo
    $smartyPg->assign('listaPacotesTotal', array());
    $intCategoria	= '2';
    $respostaDb->GetConteudos($intCategoria, "30", "AND conteudos.categorias_id = '" . $intPais . "' AND conteudos.estado LIKE 'SIM' AND conteudos.protegido LIKE 'NAO' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') <= DATE_FORMAT(NOW(), '%Y%m%d') AND DATE_FORMAT(conteudos.datasaida, '%Y%m%d') >= DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada DESC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $strImagem					= '';
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 200);
	    $listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
	    $listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
	    if ( isset($strImagem[1]) ) {
		$strImagem				= explode('src="', $strImagem[1]);
		$strImagem				= explode('"', $strImagem[1]);
		$listaConteudos[$indice]['imagem']	= $strImagem[0];
	    }else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
	    $indice++;
	}
	$smartyPg->assign('listaPacotesTotal', $listaConteudos);
    }


}
?>